Class | Chef::Resource::Ifconfig
In: | lib/chef/resource/ifconfig.rb
Parent: | Chef::Resource

### Methods

bcast bootproto device hwaddr inet_addr mask metric mtu network new onboot onparent target

### Public Class methods

new(name, run_context=nil)

### Public Instance methods

bcast(arg=nil)
bootproto(arg=nil)
device(arg=nil)
hwaddr(arg=nil)
inet_addr(arg=nil)
mask(arg=nil)
metric(arg=nil)
mtu(arg=nil)
network(arg=nil)
onboot(arg=nil)
onparent(arg=nil)
target(arg=nil)

[Validate]